# Uses of Interface
ch.qos.logback.core.sift.AppenderFactory

Packages that use AppenderFactory
Package
Description
ch.qos.logback.access.sift
ch.qos.logback.classic.sift
ch.qos.logback.core.sift

## Uses of AppenderFactory in ch.qos.logback.access.sift

Classes in ch.qos.logback.access.sift that implement AppenderFactory
Modifier and Type
Class
Description
`class`
`AppenderFactoryUsingJoran`

## Uses of AppenderFactory in ch.qos.logback.classic.sift

Classes in ch.qos.logback.classic.sift that implement AppenderFactory
Modifier and Type
Class
Description
`class`
`AppenderFactoryUsingJoran`

## Uses of AppenderFactory in ch.qos.logback.core.sift

Classes in ch.qos.logback.core.sift that implement AppenderFactory
Modifier and Type
Class
Description
`class`
`AbstractAppenderFactoryUsingJoran<E>`
Builds new appenders dynamically by running SiftingJoranConfigurator instance, a custom configurator tailored for the contents of the sift element.
Methods in ch.qos.logback.core.sift with parameters of type AppenderFactory
Modifier and Type
Method
Description
`void`
SiftingAppenderBase.`setAppenderFactory(AppenderFactory<E> appenderFactory)`
This setter is intended to be invoked by SiftAction.
Constructors in ch.qos.logback.core.sift with parameters of type AppenderFactory
Modifier
Constructor
Description
``
`AppenderTracker(Context context, AppenderFactory<E> appenderFactory)`